// ====================================================================
// Copyright DIGITEO 2009 - Allan CORNET
// ====================================================================

if MSDOS then
  // to manage long pathname
  includes_src_c = "-I""" + get_absolute_file_path("builder_gateway_c.sce") + "../../thirdparty/include""";
else
  includes_src_c = "-I" + get_absolute_file_path("builder_gateway_c.sce") + "../../thirdparty/include";
end

WITHOUT_AUTO_PUTLHSVAR = %t;

functions_table = [
	"sfversion"        ,"sci_sfversion";
	"sfread"           ,"sci_sfread";
	"sfwrite"          ,"sci_sfwrite";
	"sfsupportedformat","sci_sfsupportedformat"];

functions_files = ["sci_sfversion.c","sci_sfread.c","sci_sfwrite.c","sci_sfsupportedformat.c"];
dynlibname      = "../../thirdparty/lib/libsndfile-1";

tbx_build_gateway("sndfile_c", functions_table, functions_files, ..
                  get_absolute_file_path("builder_gateway_c.sce"), ..
                  dynlibname, "", includes_src_c);

clear includes_src_c;
clear WITHOUT_AUTO_PUTLHSVAR;
clear tbx_build_gateway;
clear functions_table;
clear functions_files;
clear dynlibname;
